-- Agrega campo para guardar el ultimo script SQL de actualizacion
ALTER TABLE cat_configuracion
   ADD COLUMN `last_script` TEXT NULL AFTER `url_sync_retiros`;


DELIMITER $$

DROP PROCEDURE IF EXISTS `stp_configuracion`$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `stp_configuracion`()
    SQL SECURITY INVOKER
    COMMENT 'Obtiene la información de configuración'
BEGIN
	SELECT cfg.id_sucursal,
		cfg.default_image,
		cfg.group_len,
		cfg.desglosa_total,
		cfg.cashdrawer_unc,
		cfg.url_existencias,
		cfg.url_sync_empresa,
		cfg.url_sync_sucursales,
		cfg.url_sync_productos,
		cfg.url_sync_precios,
		cfg.url_sync_usuarios,
		cfg.url_sync_ventas,
		cfg.token,
		COALESCE(cfg.logo, '') AS logo,
		cfg.print_hoffset,
		cfg.copias_venta,
		cfg.url_sync_cortes,
		cfg.url_sync_retiros,
		cfg.last_script
	FROM cat_configuracion AS cfg;
END$$

DELIMITER ;


DELIMITER $$

DROP PROCEDURE IF EXISTS `stp_syncVentas`$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `stp_syncVentas`(
)
    COMMENT 'Recupera la sig. venta pendiente de sincronizar'
BEGIN
    SELECT m.id_movimiento
    FROM tbl_movimientos AS m
    WHERE m.id_tipo_movimiento = 1
	AND m.total > 0
        AND m.pagado >= m.total
        AND m.fecha_cancelado IS NULL
        AND m.consolidado IS NULL
    ORDER BY m.fecha_pago
    LIMIT 1;
END$$

DELIMITER ;



-- Actualiza el nombre del ultimo script actualizado
UPDATE cat_configuracion
SET last_script = 'SQL_20181010';